--势力场景
--炼气活动起始任务

--脚本号
x105008_g_scriptId=105008

x105008_g_MinLevel=25


--事件交互入口
function x105008_OnDefaultEvent(scene, selfId, targetId)
	BeginEvent(scene)
	AddText(scene,"在每周二, 四, 六日20：30準時開辦煉氣活動！")
	
	-- AddNumText(scene,x105008_g_scriptId,"捐獻食材",-1,0)
	AddNumText(scene,x105008_g_scriptId,"參加煉氣活動",-1,1)
	AddNumText(scene,x105008_g_scriptId,"煉氣活動說明",-1,2)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项
function x105008_OnEventRequest(scene, selfId, targetId, eventId, index)
	if index==0 then
		OpenGuildDinnerUI(scene,selfId)
	elseif index==1 then		
		GuildDinnerEnroll(scene,selfId,targetId)
		end	
	elseif index==2 then
		BeginEvent(scene)
		AddText(scene,"煉氣說明：\n1. 勢力成員通過采集氣 煉化\n2. 勢力活動開始後與勢力煉氣活動管理確認參加後即可獲得目標任務")
		
		-- AddNumText(scene,x105008_g_scriptId,"捐獻食材",-1,0)
		AddNumText(scene,x105008_g_scriptId,"參加煉氣",-1,1)
		AddNumText(scene,x105008_g_scriptId,"煉氣說明",-1,2)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end

function x105008_OnTriggerEvent(scene, selfId, targetId, stringInfo, index)
end